Skip to main content
POST
Get Closed Orders

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

account_id
string

Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

trades
boolean
default:false

Whether or not to include trades related to position in output

userref
integer<int32>

Restrict results to given user reference

cl_ord_id
string

Restrict results to given client order id

start
integer

Starting unix timestamp or order tx ID of results (exclusive)

end
integer

Ending unix timestamp or order tx ID of results (inclusive)

ofs
integer
deprecated

Result offset for pagination. Deprecated, use with_cursor and cursor instead. Must be absent or 0 when with_cursor is true.

with_cursor
boolean
default:false

Use cursor-based pagination instead of ofs. Each page holds up to 50 orders, and the response includes cursor.next when more orders are available.

cursor
string

Opaque pagination token from cursor.next of the previous page. Requires with_cursor.

closetime
enum<string>
default:both

Which time field is used when filtering results:

  • open: Uses the opentm field only (start < opentm && opentm <= end)
  • close: Uses the closetm field only (start < closetm && closetm <= end)
  • both: Requires both times to fall within the range (start < opentm && closetm <= end)
Available options:
open,
close,
both
consolidate_taker
boolean
default:true

Whether or not to consolidate trades by individual taker trades

without_count
boolean
default:false

If true, does not retrieve the count of closed orders (count is returned as 0, as it is when with_cursor is true). Request can be noticeably faster for users with many closed orders as this avoids an extra database query.

rebase_multiplier
enum<string> | null
default:rebased

Optional parameter for viewing xStocks data.

  • rebased: Display in terms of underlying equity.
  • base: Display in terms of SPV tokens.
Available options:
rebased,
base

Response

200 - application/json

Closed orders info retrieved.

result
ClosedOrders · object

Closed Orders

error
string[]

Kraken API error